import { jsx as _jsx } from "react/jsx-runtime";
import { atDotCss } from '@iyio/at-dot-css';
import { useEffect, useState } from 'react';
import { useShiki } from './shiki';
/**
 * @acIgnore
 */
export function CodeView({ value, wrap, children, language, noBg, }) {
    style.root();
    const code = value || children || '';
    const { sh, loadIndex } = useShiki(language);
    const [elem, setElem] = useState(null);
    useEffect(() => {
        if (!elem || !sh) {
            return;
        }
        elem.innerHTML = sh.codeToHtml(code, { lang: language ? sh.getLoadedLanguages().includes(language) ? language : 'text' : 'text', theme: 'dark-plus' });
        if (noBg) {
            elem.querySelectorAll('pre').forEach(e => e.style.backgroundColor = 'transparent');
        }
    }, [sh, loadIndex, code, elem, language, noBg]);
    return (_jsx("pre", { className: "CodeView", style: style.vars({ wrap: wrap ? 'pre-wrap' : 'pre' }), children: _jsx("code", { ref: setElem }) }));
}
const style = atDotCss({ name: 'CodeView', css: `
    .CodeView.pre, .CodeView > code{
        margin:0 !important;
        padding:0 !important;
        display:block !important;
        overflow-x:hidden !important;
        overflow-y:hidden !important;
        white-space:@@wrap !important;
        font-family:Courier !important;
        font-size:14px !important;
    }

` });
//# sourceMappingURL=CodeView.js.map