export declare const mdxGrammar: {
    displayName: string;
    fileTypes: string[];
    name: string;
    patterns: {
        include: string;
    }[];
    repository: {
        'commonmark-attention': {
            patterns: {
                match: string;
                name: string;
            }[];
        };
        'commonmark-block-quote': {
            begin: string;
            beginCaptures: {
                '0': {
                    name: string;
                };
                '1': {
                    name: string;
                };
            };
            name: string;
            patterns: {
                include: string;
            }[];
            while: string;
            whileCaptures: {
                '0': {
                    name: string;
                };
                '1': {
                    name: string;
                };
            };
        };
        'commonmark-character-escape': {
            match: string;
            name: string;
        };
        'commonmark-character-reference': {
            patterns: ({
                include: string;
                captures?: undefined;
                match?: undefined;
                name?: undefined;
            } | {
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    '4': {
                        name: string;
                    };
                    '5': {
                        name: string;
                    };
                };
                match: string;
                name: string;
                include?: undefined;
            } | {
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    '4': {
                        name: string;
                    };
                    "5"?: undefined;
                };
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        'commonmark-code-fenced': {
            patterns: {
                include: string;
            }[];
        };
        'commonmark-code-fenced-apib': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-asciidoc': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-c': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-clojure': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-coffee': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-console': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-cpp': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-cs': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-css': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-style': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-convo': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-diff': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-dockerfile': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-elixir': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-elm': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-erlang': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-gitconfig': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-go': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-graphql': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-haskell': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-html': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-ini': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-java': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-js': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-json': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-julia': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-kotlin': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-less': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-lua': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-makefile': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-md': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-mdx': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-objc': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-perl': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-php': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-python': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-r': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-raku': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-ruby': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-rust': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-scala': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-scss': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-shell': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-shell-session': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-sql': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-svg': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-swift': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-toml': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-ts': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-tsx': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-unknown': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                contentName: string;
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
            }[];
        };
        'commonmark-code-fenced-vbnet': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-xml': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-fenced-yaml': {
            patterns: {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                end: string;
                endCaptures: {
                    '1': {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    begin: string;
                    contentName: string;
                    patterns: {
                        include: string;
                    }[];
                    while: string;
                }[];
            }[];
        };
        'commonmark-code-text': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
        'commonmark-definition': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '3': {
                    name: string;
                };
                '4': {
                    name: string;
                };
                '5': {
                    name: string;
                };
                '6': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '7': {
                    name: string;
                };
                '8': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '9': {
                    name: string;
                };
                '10': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '11': {
                    name: string;
                };
                '12': {
                    name: string;
                };
                '13': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '14': {
                    name: string;
                };
                '15': {
                    name: string;
                };
                '16': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '17': {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
        'commonmark-hard-break-escape': {
            match: string;
            name: string;
        };
        'commonmark-hard-break-trailing': {
            match: string;
            name: string;
        };
        'commonmark-heading-atx': {
            patterns: {
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '3': {
                        name: string;
                    };
                };
                match: string;
                name: string;
            }[];
        };
        'commonmark-heading-setext': {
            patterns: {
                match: string;
                name: string;
            }[];
        };
        'commonmark-label-end': {
            patterns: ({
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                        patterns?: undefined;
                    };
                    '4': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '5': {
                        name: string;
                    };
                    '6': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '7': {
                        name: string;
                    };
                    '8': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '9': {
                        name: string;
                    };
                    '10': {
                        name: string;
                    };
                    '11': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '12': {
                        name: string;
                    };
                    '13': {
                        name: string;
                    };
                    '14': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '15': {
                        name: string;
                    };
                    '16': {
                        name: string;
                    };
                };
                match: string;
            } | {
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                        patterns: {
                            include: string;
                        }[];
                    };
                    '4': {
                        name: string;
                        patterns?: undefined;
                    };
                    "5"?: undefined;
                    "6"?: undefined;
                    "7"?: undefined;
                    '8'?: undefined;
                    '9'?: undefined;
                    '10'?: undefined;
                    '11'?: undefined;
                    '12'?: undefined;
                    '13'?: undefined;
                    '14'?: undefined;
                    '15'?: undefined;
                    '16'?: undefined;
                };
                match: string;
            } | {
                captures: {
                    '1': {
                        name: string;
                    };
                    "2"?: undefined;
                    "3"?: undefined;
                    "4"?: undefined;
                    "5"?: undefined;
                    "6"?: undefined;
                    "7"?: undefined;
                    '8'?: undefined;
                    '9'?: undefined;
                    '10'?: undefined;
                    '11'?: undefined;
                    '12'?: undefined;
                    '13'?: undefined;
                    '14'?: undefined;
                    '15'?: undefined;
                    '16'?: undefined;
                };
                match: string;
            })[];
        };
        'commonmark-label-start': {
            patterns: {
                match: string;
                name: string;
            }[];
        };
        'commonmark-list-item': {
            patterns: ({
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    "3"?: undefined;
                    "4"?: undefined;
                    "5"?: undefined;
                    "6"?: undefined;
                    "7"?: undefined;
                    '8'?: undefined;
                    '9'?: undefined;
                };
                patterns: {
                    include: string;
                }[];
                while: string;
            } | {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    "4"?: undefined;
                    "5"?: undefined;
                    "6"?: undefined;
                    "7"?: undefined;
                    '8'?: undefined;
                    '9'?: undefined;
                };
                patterns: {
                    include: string;
                }[];
                while: string;
            } | {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    '4': {
                        name: string;
                    };
                    '5': {
                        name: string;
                    };
                    "6"?: undefined;
                    "7"?: undefined;
                    '8'?: undefined;
                    '9'?: undefined;
                };
                patterns: {
                    include: string;
                }[];
                while: string;
            } | {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    '4': {
                        name: string;
                    };
                    '5': {
                        name: string;
                    };
                    '6': {
                        name: string;
                    };
                    '7': {
                        name: string;
                    };
                    '8'?: undefined;
                    '9'?: undefined;
                };
                patterns: {
                    include: string;
                }[];
                while: string;
            } | {
                begin: string;
                beginCaptures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    '4': {
                        name: string;
                    };
                    '5': {
                        name: string;
                    };
                    '6': {
                        name: string;
                    };
                    '7': {
                        name: string;
                    };
                    '8': {
                        name: string;
                    };
                    '9': {
                        name: string;
                    };
                };
                patterns: {
                    include: string;
                }[];
                while: string;
            })[];
        };
        'commonmark-paragraph': {
            begin: string;
            name: string;
            patterns: {
                include: string;
            }[];
            while: string;
        };
        'commonmark-thematic-break': {
            match: string;
            name: string;
        };
        'extension-gfm-autolink-literal': {
            patterns: {
                match: string;
                name: string;
            }[];
        };
        'extension-gfm-footnote-call': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '4': {
                    name: string;
                };
            };
            match: string;
        };
        'extension-gfm-footnote-definition': {
            begin: string;
            beginCaptures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                '4': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
            while: string;
        };
        'extension-gfm-strikethrough': {
            match: string;
            name: string;
        };
        'extension-gfm-table': {
            begin: string;
            end: string;
            patterns: ({
                captures: {
                    '1': {
                        patterns: {
                            include: string;
                        }[];
                    };
                };
                match: string;
                name?: undefined;
            } | {
                match: string;
                name: string;
                captures?: undefined;
            })[];
        };
        'extension-github-gemoji': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
        'extension-github-mention': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
        'extension-github-reference': {
            patterns: ({
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    '4': {
                        name: string;
                    };
                };
                match: string;
                name: string;
            } | {
                captures: {
                    '1': {
                        name: string;
                    };
                    '2': {
                        name: string;
                    };
                    '3': {
                        name: string;
                    };
                    "4"?: undefined;
                };
                match: string;
                name: string;
            })[];
        };
        'extension-math-flow': {
            begin: string;
            beginCaptures: {
                '1': {
                    name: string;
                };
                '2': {
                    patterns: {
                        include: string;
                    }[];
                };
            };
            contentName: string;
            end: string;
            endCaptures: {
                '1': {
                    name: string;
                };
            };
            name: string;
        };
        'extension-math-text': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                };
            };
            match: string;
        };
        'extension-mdx-esm': {
            begin: string;
            end: string;
            name: string;
            patterns: {
                include: string;
            }[];
        };
        'extension-mdx-expression-flow': {
            begin: string;
            beginCaptures: {
                '1': {
                    name: string;
                };
            };
            contentName: string;
            end: string;
            endCaptures: {
                '1': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        'extension-mdx-expression-text': {
            begin: string;
            beginCaptures: {
                '0': {
                    name: string;
                };
            };
            contentName: string;
            end: string;
            endCaptures: {
                '0': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        'extension-mdx-jsx-flow': {
            begin: string;
            beginCaptures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                };
                '4': {
                    name: string;
                };
                '5': {
                    name: string;
                };
                '6': {
                    name: string;
                };
                '7': {
                    name: string;
                };
                '8': {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        'extension-mdx-jsx-text': {
            begin: string;
            beginCaptures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                };
                '4': {
                    name: string;
                };
                '5': {
                    name: string;
                };
                '6': {
                    name: string;
                };
                '7': {
                    name: string;
                };
                '8': {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        'extension-toml': {
            begin: string;
            beginCaptures: {
                '0': {
                    name: string;
                };
            };
            contentName: string;
            end: string;
            endCaptures: {
                '0': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        'extension-yaml': {
            begin: string;
            beginCaptures: {
                '0': {
                    name: string;
                };
            };
            contentName: string;
            end: string;
            endCaptures: {
                '0': {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        'markdown-frontmatter': {
            patterns: {
                include: string;
            }[];
        };
        'markdown-sections': {
            patterns: {
                include: string;
            }[];
        };
        'markdown-string': {
            patterns: {
                include: string;
            }[];
        };
        'markdown-text': {
            patterns: {
                include: string;
            }[];
        };
        'whatwg-html-data-character-reference-named-terminated': {
            captures: {
                '1': {
                    name: string;
                };
                '2': {
                    name: string;
                };
                '3': {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
    };
    scopeName: string;
    autoLoadMdCodeBlocks: boolean;
    embeddedLangs: string[];
    embeddedLangsLazy: string[];
};
