export type DesignTokenVariation = "light" | "dark";
export declare const allDesignTokenVariations: ReadonlyArray<DesignTokenVariation>;
export declare const defaultDesignTokenVariation: DesignTokenVariation;
export interface DesignTokens {
    readonly variation: DesignTokenVariation;
    readonly borderRadius: string;
    readonly bgColor: string;
    readonly foreground: string;
    readonly fontFamily: string;
    readonly fontColor: string;
    readonly fontSize: string;
    readonly inputBgColor: string;
    readonly mutedColor: string;
    readonly panelColor: string;
    readonly containerPadding: string;
    readonly infoColor: string;
    readonly successColor: string;
    readonly warnColor: string;
    readonly dangerColor: string;
    readonly entityBgColor: string;
    readonly entityNameColor: string;
    readonly entityTypeColor: string;
    readonly memberNameWeight: string;
    readonly memberNameColor: string;
    readonly memberCtrlWeight: string;
    readonly memberCtrlColor: string;
    readonly memberTypeWeight: string;
    readonly memberTypeColor: string;
    readonly caretColor: string;
    readonly anchorSize: number;
    readonly anchorColor: string;
    readonly lineColor: string;
    readonly codeLineHeight: number;
    readonly codeFontSize: number;
    readonly codeVPadding: number;
    readonly codeHPadding: number;
}
export declare const designTokenValues: Readonly<{
    light: DesignTokens;
    dark: DesignTokens;
}>;
