/// <reference types="react" />
import { BaseLayoutOuterProps, CodeParser, CodeParsingError, CodeParsingResult } from '@iyio/common';
export declare const defaultCodeLineStartReg: RegExp;
export declare const markdownCodeLineStartReg: RegExp;
interface CodeInputProps<P = any> extends BaseLayoutOuterProps {
    tab?: string;
    language?: string;
    readOnly?: boolean;
    valueOverride?: string;
    value: string;
    disabled?: boolean;
    onChange?: (value: string) => void;
    /**
     * Called when Command enter or Ctrl enter is pressed
     */
    onSubmit?: (value: string) => void;
    onBlur?: (value: string) => void;
    onNewLine?: (value: string) => void;
    tall?: boolean;
    onElem?: (elem: HTMLElement | null) => void;
    onTextarea?: (elem: HTMLTextAreaElement | null) => void;
    lineStartReg?: RegExp | null;
    lineStartRegIndex?: number;
    lineNumbers?: boolean;
    errors?: (CodeParsingError | number)[];
    fillScrollHeight?: boolean;
    parser?: CodeParser<P>;
    parserOptions?: any;
    parsingDelayMs?: number;
    onParsed?: (result: CodeParsingResult) => void;
    logParsed?: boolean;
    debugParser?: boolean | ((...args: any[]) => void);
    bottomPadding?: number | string;
    highlightPrefix?: string;
    highlightSuffix?: string;
}
/**
 * @acIgnore
 */
export declare function CodeInput<P = any>({ tab, language: _language, value, readOnly, valueOverride, disabled, onChange, onSubmit, onElem, onTextarea, onBlur, onNewLine, tall, lineStartReg, lineStartRegIndex, lineNumbers, errors, parser, parserOptions, onParsed, logParsed, parsingDelayMs, debugParser, bottomPadding, fillScrollHeight, highlightPrefix, highlightSuffix, ...props }: CodeInputProps<P>): JSX.Element;
export {};
