"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const at_dot_css_1 = require("@iyio/at-dot-css");
const react_1 = require("react");
const shiki_1 = require("./shiki");
/**
 * @acIgnore
 */
function CodeView({ value, wrap, children, language, noBg, }) {
    style.root();
    const code = value || children || '';
    const { sh, loadIndex } = (0, shiki_1.useShiki)(language);
    const [elem, setElem] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        if (!elem || !sh) {
            return;
        }
        elem.innerHTML = sh.codeToHtml(code, { lang: language ? sh.getLoadedLanguages().includes(language) ? language : 'text' : 'text', theme: 'dark-plus' });
        if (noBg) {
            elem.querySelectorAll('pre').forEach(e => e.style.backgroundColor = 'transparent');
        }
    }, [sh, loadIndex, code, elem, language, noBg]);
    return ((0, jsx_runtime_1.jsx)("pre", { className: "CodeView", style: style.vars({ wrap: wrap ? 'pre-wrap' : 'pre' }), children: (0, jsx_runtime_1.jsx)("code", { ref: setElem }) }));
}
exports.CodeView = CodeView;
const style = (0, at_dot_css_1.atDotCss)({ name: 'CodeView', css: `
    .CodeView.pre, .CodeView > code{
        margin:0 !important;
        padding:0 !important;
        display:block !important;
        overflow-x:hidden !important;
        overflow-y:hidden !important;
        white-space:@@wrap !important;
        font-family:Courier !important;
        font-size:14px !important;
    }

` });
//# sourceMappingURL=CodeView.js.map