export declare const convoGrammar: {
    $schema: string;
    name: string;
    scopeName: string;
    autoLoadMdCodeBlocks: boolean;
    embeddedLangsLazy: string[];
    uuid: string;
    fileTypes: string[];
    patterns: {
        include: string;
    }[];
    repository: {
        expression: {
            patterns: {
                include: string;
            }[];
        };
        interpolation: {
            contentName: string;
            begin: string;
            beginCaptures: {
                "0": {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            name: string;
            patterns: {
                include: string;
            }[];
        };
        role: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
            };
        };
        embedEscape: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        embed: {
            begin: string;
            end: string;
            beginCaptures: {
                "0": {
                    name: string;
                };
            };
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        topLevelStatements: {
            begin: string;
            end: string;
            beginCaptures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        function: {
            begin: string;
            end: string;
            beginCaptures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
                "5": {
                    name: string;
                };
            };
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        functionBody: {
            begin: string;
            end: string;
            beginCaptures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
            };
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        functionCall: {
            begin: string;
            end: string;
            beginCaptures: {
                "1": {
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                };
                "2": {
                    name: string;
                };
            };
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        comment: {
            patterns: ({
                match: string;
                name: string;
                captures?: undefined;
            } | {
                match: string;
                name: string;
                captures: {
                    "0": {
                        name: string;
                    };
                };
            })[];
        };
        tag: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
            };
        };
        lineExpression: {
            patterns: {
                include: string;
            }[];
        };
        paramLineExpression: {
            patterns: {
                include: string;
            }[];
        };
        userDefinedType: {
            match: string;
            captures: {
                "0": {
                    name: string;
                };
            };
        };
        lineVar: {
            match: string;
            captures: {
                "0": {
                    name: string;
                };
            };
        };
        label: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        paramLabel: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        stringDq: {
            begin: string;
            end: string;
            name: string;
            patterns: ({
                include: string;
                match?: undefined;
                captures?: undefined;
            } | {
                match: string;
                captures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                include?: undefined;
            })[];
        };
        stringSq: {
            begin: string;
            end: string;
            name: string;
            patterns: ({
                include: string;
                match?: undefined;
                captures?: undefined;
            } | {
                match: string;
                captures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                include?: undefined;
            })[];
        };
        markdownLink: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
                "5": {
                    name: string;
                };
                "6": {
                    name: string;
                };
            };
        };
        xml: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
            };
        };
        stringBackslash: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        msgStringBackslash: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        msgStringStartMsg: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        typeKeyword: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        systemFunctions: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        typeFunctions: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        operators: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        logicOperators: {
            match: string;
            captures: {
                "1": {
                    name: string;
                };
            };
        };
        number: {
            match: string;
            name: string;
        };
        constValue: {
            match: string;
            name: string;
        };
        heredoc: {
            begin: string;
            end: string;
            beginCaptures: {
                "0": {
                    name: string;
                };
            };
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            patterns: {
                include: string;
            }[];
        };
        pipe: {
            match: string;
            name: string;
        };
        fenced_code_block: {
            patterns: {
                include: string;
            }[];
        };
        fenced_code_block_json: {
            begin: string;
            name: string;
            end: string;
            beginCaptures: {
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
                "5": {
                    name: string;
                };
            };
            endCaptures: {
                "3": {
                    name: string;
                };
            };
            patterns: {
                begin: string;
                while: string;
                contentName: string;
                patterns: {
                    include: string;
                }[];
            }[];
        };
        fenced_code_block_xml: {
            begin: string;
            name: string;
            end: string;
            beginCaptures: {
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
                "5": {
                    name: string;
                };
            };
            endCaptures: {
                "3": {
                    name: string;
                };
            };
            patterns: {
                begin: string;
                while: string;
                contentName: string;
                patterns: {
                    include: string;
                }[];
            }[];
        };
        fenced_code_block_js: {
            begin: string;
            name: string;
            end: string;
            beginCaptures: {
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
                "5": {
                    name: string;
                };
            };
            endCaptures: {
                "3": {
                    name: string;
                };
            };
            patterns: {
                begin: string;
                while: string;
                contentName: string;
                patterns: {
                    include: string;
                }[];
            }[];
        };
        fenced_code_block_python: {
            begin: string;
            name: string;
            end: string;
            beginCaptures: {
                "3": {
                    name: string;
                };
                "4": {
                    name: string;
                };
                "5": {
                    name: string;
                };
            };
            endCaptures: {
                "3": {
                    name: string;
                };
            };
            patterns: {
                begin: string;
                while: string;
                contentName: string;
                patterns: {
                    include: string;
                }[];
            }[];
        };
    };
};
